#import <Cocoa/Cocoa.h>

@class ImageBrowserController;
@class DirectoryBrowserCell;


@interface DirectoryBrowserController : NSObject
{
	NSMutableArray *			mRootDirectoryItems;
	DirectoryBrowserCell *		mDirectoryCell;
	NSOutlineView *				mDirectoryBrowserView;
	ImageBrowserController *	mImageBrowserController;
}

@property (assign) IBOutlet NSOutlineView *				directoryBrowserView;
@property (assign) IBOutlet ImageBrowserController *	imageBrowserController;

-(void)awakeFromNib;
-(void)dealloc;

#pragma mark NSOutlineViewDataSource implementation

-(id)outlineView:(NSOutlineView *)outlineView child:(NSInteger)index ofItem:(id)item;
-(BOOL)outlineView:(NSOutlineView *)outlineView isItemExpandable:(id)item;
-(NSInteger)outlineView:(NSOutlineView *)outlineView numberOfChildrenOfItem:(id)item;
-(id)outlineView:(NSOutlineView *)outlineView objectValueForTableColumn:(NSTableColumn *)tableColumn byItem:(id)item;
-(void)outlineViewSelectionDidChange:(NSNotification *)notification;

#pragma mark custom cells rendering

-(NSCell *)outlineView:(NSOutlineView *)outlineView dataCellForTableColumn:(NSTableColumn *)tableColumn item:(id)item;
-(void)outlineView:(NSOutlineView *)outlineView willDisplayCell:(id)cell forTableColumn:(NSTableColumn *)tableColumn item:(id)item;


@end
