#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>


@class DirectoryBrowser;
@class ImageView;


@interface ImageBrowserController : NSObject
{
	NSMutableArray *		mImages;
	NSMutableArray *		mImportedImages;
	NSString *				mPath;
	NSWindow *				mWindow;
	ImageView *				mImageView;
	IKImageBrowserView *	mImageBrowser;
	DirectoryBrowser *		mDirectoryBrowser;
}

@property (assign) IBOutlet NSWindow *				window;
@property (assign) IBOutlet ImageView *				imageView;
@property (assign) IBOutlet IKImageBrowserView *	imageBrowser;
@property (assign) IBOutlet DirectoryBrowser *		directoryBrowser;

// init & dealloc
-(void)awakeFromNib;
-(void)dealloc;

// path handling
-(NSString *)path;
-(void)setPath:(NSString *)path;
-(void)addImagesInPath:(NSString *)path;
-(void)pathUpdated;

// IKImageBrowserDataSource protocol
-(void)updateDatasource;
-(NSUInteger)numberOfItemsInImageBrowser:(IKImageBrowserView *)view;
-(id)imageBrowser:(IKImageBrowserView *)view itemAtIndex:(NSUInteger)index;

// IKImageBrowserDelegate protocol
-(void)imageBrowserSelectionDidChange:(IKImageBrowserView *)aBrowser;
-(void)imageBrowser:(IKImageBrowserView *)aBrowser cellWasDoubleClickedAtIndex:(NSUInteger)index;

// utility
-(void)addImage:(NSString *)path;
-(NSArray *)selectedImages;
-(void)removeSelectedImages;
-(int)removeFirstSelectedImage;
-(void)sortImages;

@end
