#import "Utility.h"


@implementation Utility

+(NSString *)humanReadableFileType:(NSString *)path
{
	NSString * kind = nil;
	NSURL * url = [NSURL fileURLWithPath:[path stringByExpandingTildeInPath]];
	LSCopyKindStringForURL((CFURLRef)url, (CFStringRef *)&kind);
	return kind ? [kind autorelease] : @"";
}

+(void)removeFileAtPath:(NSString *)path permanently:(BOOL)permanently
{
	if (permanently)
	{
		NSFileManager * fileManager = [NSFileManager defaultManager];
		[fileManager removeItemAtPath:path error:NULL];
	}
	else
	{
		NSInteger tag = 0;
		NSString * source = [path stringByDeletingLastPathComponent];
		NSArray * files = [NSArray arrayWithObject:[path lastPathComponent]];
		NSWorkspace * workspace = [NSWorkspace sharedWorkspace];
		[workspace performFileOperation:NSWorkspaceRecycleOperation source:source destination:nil files:files tag:&tag];
	}
}

+(BOOL)isAnImage:(NSString *)path
{
	NSString * fileType = [Utility humanReadableFileType:path];
	if ([fileType rangeOfString:@"JPEG"].length != 0 ||
		[fileType rangeOfString:@"GIF"].length != 0 ||
		[fileType rangeOfString:@"PNG"].length != 0 ||
		[fileType rangeOfString:@"TIFF"].length != 0 ||
		[fileType rangeOfString:@"DNG"].length != 0 ||
		[fileType rangeOfString:@"CR2"].length != 0)
		return YES;
	return NO;
}

@end
